package de.ozgcloud.vorgang.vorgang;

import java.time.ZonedDateTime;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
@Document(collection = Vorgang.COLLECTION_NAME)
@TypeAlias("VorgangStub")
class VorgangStub {

	@Id
	private String id;
	@Builder.Default
	private Vorgang.Status status = Vorgang.Status.DELETED;

	private String name;
	private ZonedDateTime createdAt;
	@Builder.Default
	private ZonedDateTime deletedAt = ZonedDateTime.now();

	private VorgangHeadStub header;

	private EingangStub eingangs;

}

@Builder
@Getter
class VorgangHeadStub {
	private String organisationsEinheitId;
}

@Builder
@Getter
class EingangStub {
	private ZustaendigeStelleStub zustaendigeStelle;
}

@Builder
@Getter
class ZustaendigeStelleStub {
	private String organisationseinheitenId;
}
