package de.ozgcloud.nachrichten.postfach.bayernid;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import de.ozgcloud.common.test.ITCase;
import de.ozgcloud.vorgang.VorgangManagerServerApplication;

class BayernIdPostfachServiceConfigurationITCase {

	@Nested
	@SpringBootTest(classes = { VorgangManagerServerApplication.class })
	@ITCase
	class BayernIdPostfachServiceNotConfiguredITCase {

		@Autowired(required = false)
		private BayernIdPostfachRemoteService bayernIdPostfachRemoteService;

		@Test
		void contextLoads() {
			assertThat(bayernIdPostfachRemoteService).isNull();
		}
	}

	@Nested
	@SpringBootTest(classes = { VorgangManagerServerApplication.class }, properties = {
			"ozgcloud.bayernid.enabled=false",
	})
	@ITCase
	class BayernIdPostfachServiceDisabledITCase {

		@Autowired(required = false)
		private BayernIdPostfachRemoteService bayernIdPostfachRemoteService;

		@Test
		void contextLoads() {
			assertThat(bayernIdPostfachRemoteService).isNull();
		}
	}

	@Nested
	@SpringBootTest(classes = { VorgangManagerServerApplication.class }, properties = {
			"ozgcloud.bayernid.enabled=true",
			"ozgcloud.bayernid.absender.name=Test Name",
			"ozgcloud.bayernid.absender.mandant=Fürth",
			"ozgcloud.bayernid.absender.dienst=Stadtverwaltung",
	})
	@ITCase
	class BayernIdPostfachServiceConfiguredITCase {

		@Autowired
		private BayernIdPostfachRemoteService bayernIdPostfachRemoteService;

		@Test
		void contextLoads() { // NOSONAR empty test just starting spring-boot
		}
	}
}