/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.clientattribute;

import java.util.Optional;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.callcontext.CallContextTestFactory;
import de.ozgcloud.vorgang.clientattribute.ClientAttribute.AccessPermission;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;

public class ClientAttributeTestFactory {

	static final String VORGANG_ID = VorgangTestFactory.ID;
	static final AccessPermission ACCESS_PERMISSION = AccessPermission.READ_ONLY;
	public static final String ATTRIBUTE_NAME = LoremIpsum.getInstance().getName();
	public static final String CLIENT_NAME = CallContextTestFactory.CLIENT;

	public static final long INT_VALUE = 42L;
	public static final String STR_VALUE = LoremIpsum.getInstance().getWords(7);
	public static final Boolean BOOL_VALUE = Boolean.TRUE;
	public static final double DOUBLE_VALUE = 42.42d;

	public static ClientAttribute create() {
		return createBuilder().build();
	}

	public static ClientAttribute.ClientAttributeBuilder createBuilder() {
		return ClientAttribute.builder()
				.clientName(CLIENT_NAME)
				.attributeName(ATTRIBUTE_NAME)
				.access(ACCESS_PERMISSION)
				.intValue(Optional.of(INT_VALUE));
	}

}
