package de.ozgcloud.vorgang.common.grpc;

import java.util.Map;

import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.common.GrpcProperty.Builder;

public class GrpcPropertyTestFactory {

	public static final String PROPERTY_NAME = "propertyName";
	public static final String PROPERTY_NAME_VALUE = "propertyNameValue";

	public static GrpcProperty create() {
		return createBuilder().build();
	}

	public static GrpcProperty createWithoutValue() {
		return createBuilder().clearValue().build();
	}
	public static GrpcProperty createWithValue(Object value) {
		return createBuilder().clearValue().addValue(String.valueOf(value)).build();
	}

	public static Builder createBuilder() {
		return GrpcProperty.newBuilder()
				.setName(PROPERTY_NAME)
				.addValue(PROPERTY_NAME_VALUE);
	}

	public static Map<String, Object> createAsMap() {
		return Map.of(PROPERTY_NAME, PROPERTY_NAME_VALUE);
	}
}
